Subject: AIList Digest V5 #77

From: vtcs1::in% <[email-masked]>
Date: Sat, 14 Mar 87 19:15:28 est

AIList Digest            Friday, 13 Mar 1987       Volume 5 : Issue 77

Today's Topics:
  Queries - Addresses & Genetic Algorithms & Planning and Scheduling &
    TI Satellite Symposium Locations,
  Funding - AFOSR Announcement,
  Games - ICCA Journal,
  Expert Systems - Checking Rule-Based Expert Systems,
  Application - Analysis of Unknown Data

----------------------------------------------------------------------

Date: Tue 10 Mar 87 14:39:19-EST
From: John C. Akbari <[email-masked]>
Subject: whereabouts

Does anyone have email or snail mail addresses for any of these people?
They are some Brits who have published very interesting work in
knowledge acquisition for expert systems.  any assistance will be
appreciated.

        Anna Hart
        Alison Kidd
        Lisanne Bainbridge
        Margaret Welbank

        ad...THANKS...vance!

john c akbari

    ARPANET & Internet          [email-masked]
    BITnet                      [email-masked]
    uucp & usenet               ...!seismo!columbia!cs!akbari
    DECnet                      akbari@cs
    PaperNet                    380 riverside drive, no. 7d
                                new york, new york  10025   usa
    SoundNet                    212.662.2476

------------------------------

Date: Thu, 12 Mar 87 18:08 EST
From: [email-masked]
Subject: Network_addresses_of_Contributors

Hello,

This is a response to several bibliographical entries in the AI-List
forum on the ARPANET.

I'm interested in sending network mail to a number of individuals who were
contributors of one or more entries in the AI-List, however I don't have
their network mail stops. Can you help me out with this, or if you don't
have their network addresses, could you forward this letter to someone
who might? The individuals I wish to contact are:

John S. Gero
or John Radford
or P. Hing
authors of New Rules of Thumb from Computer Aided Structural Design:
           Aquiring Knowledge for Expert Systems
Proceedings CADD-84
UK
1984
AIME

Hitoshi Furuta
King Sun Tu

Minhai Bambuceanu, author of Knowledge Engineering in CAD
North Holland

Daniel Rehak
H. Craig Howard
authors of Interfacing Expert Systems with Design Databases in Integrated
           CAD Systems

P. Haren
M. Montalban
authors of Prototypical objects for CAD systems

Dennis J. Nicklaus
Siu S. Tong
creators of Engineous: A Knowledge Directed Computer Aided Design Shell

If you know the network address of even one of these individuals, I'd
appreciate it more than I can express if you would send it to me.

Thanks.

                                              Best Regards,

          Ben Olasov   <[email-masked]>

  [King-Sun Fu died in April of '85, so you may have difficulty reaching
  him.  John Gero is with the Dept. of Architectural Science at the
  University of Sydney (Sydney 2006 Australia), and can probably be
  reached as "munnari!archsci.su.oz!john"@seismo.CSS.GOV.  (Note the
  lower-case seismo.)  Most contributors to AIList can be reached via
  the From address in the message; I can help interpret it if you send
  me a copy.  -- KIL]

------------------------------

Date: 11 Mar 87 00:57:31 GMT
From: amdcad!amd!intelca!mipos3!omepd!uoregon!hp-pcd!hpcvlo!karen@ucbv
      ax.Berkeley.EDU  (Karen Helt)
Subject: Genetic Algorithms

        I am investigating genetic algorithms as they relate to
        machine learning and in particular classifier systems.
        I hope to do my master's thesis in this area.  I am
        trying to locate literature in this area.  Does anyone
        know how I can get a copy of the "Proceedings of an International
        Conference on Genetic Algorithms and Their Applications,1985"?

        Also, it appears that a lot of work on genetic algorithms
        has been done at the University of Michigan.  There are a number
        of Ph D theses of Univ. of Michigan students referenced in the
        articles I have found.  Is Univ. of Michigan on the net?  Will
        someone there please contact me and tell me how I can get copies
        of some of the theses?  I would appreciate any help and information
        anyone can give me.

        Thanks.

        Karen Helt
        Hewlett-Packard Company
        Corvallis Workstation Operation
        Corvallis, Oregon
        part-time graduate student at Oregon State University
        hplabs!hp-pcd!karen

------------------------------

Date: Thu, 12 Mar 87 15:03:40 est
From: [email-masked] (Nancy Orlando)
Subject: Planning and scheduling survey

     I have recently begun a project to examine the current techniques and
capabilities of planning and scheduling systems.  This covers a wide range of
potential techniques and implementations; the systems of interest can range
from robotic task planners to mission planners to job shop schedulers, using
structures ranging from expert systems to classical programs to neural nets,
using techniques ranging from means-ends analysis to constraint propagation to
simplex algorithms.

     Pointers to any systems, either from the literature or work currently in
progress, would be appreciated.  I particularly am interested in acquiring
information concerning the problem domain, the structure and technique(s) used
aspects of the domain of the system that lead to the choice of structure and
techniques, the strengths and weaknesses of the system, and an opinion as to
the portability of the system to other domains.

     Maybe its deja vu, but I seem to recall another recent request to AIList
concerning planning systems.  A pointer to that source would also be
appreciated.

     Results of this survey can be posted to the net if there is sufficient
interest.

  USmail would be appreciated, as my net address is capricious:

        Nancy Sliwa
        MS 152D
        NASA Langley Research Center
        Hampton, VA 23665-5225

  An E-mail address, if absolutely necessary:

        nancy%upenn-grasp@upenn

Much thanks!

------------------------------

Date: 12-Mar-87 16:13:58
From: Dan Cerys <cerys@XX>
Subject: TI Satellite Symposium locations

A number of people have been posting queries about the the viewing
locations for the third Texas Instruments Satellite Symposium on
Artificial Intelligence.  There are two ways that a person can "attend"
the symposium.

1) If you can receive satellite video broadcasts, TI will provide the
information you need to set your location up as viewing site.

2) There are a number of public viewing locations around the world.
These are free unless the location is sponsored by another organization
(eg, IEEE).  Most of these locations require advance registration.

In either case, there is a toll-free number you can call to receive more
information and/or register at a viewing location:  (800) 527-3500.
(I'm not sure if this works for those outside of North America).

I have only few details on the conference.  It is titled "AI
Productivity Roundtable" and will be held on April 8, 9:00 EST - 13:00
EST, followed by a 1 1/2 hour condensation of the 2nd Symposium
beginning at 14:00 EST.

------------------------------

Date: 25-FEB-1987 14:44
From: [email-masked]
Subject: AFOSR Announcement

               [Forwarded from the Neuron Digest.]

PROGRAM ANNOUNCEMENT:  NEURAL COMPUTING AND PROCESSING

The Air Force Office of Scientific Research (AFOSR) announces a
new program of support for basic research on the computational
aspects of neural networks.

Research that could yield computational neural models of
information processing, learning, and cognition in complex
biological systems is specifically encouraged.  AFOSR is
interested in multidisciplinary theoretical and empirical
approaches.  Research focused on neural architectures subserving
learning and cognition or on computational aspects of
neuromorphic structures and systems is also of interest.

Research proposals are now being accepted by AFOSR.  All
proposals received before July 1, 1987 will be considered for the
first cycle of support to begin in October.  Support from AFOSR
is typically provided as multi-year grants or contracts.

FOR ADDITIONAL INFORMATION CONTACT:

Dr. C. Lee Giles           Architectures and Computation
                           202-767-4931  [email-masked]
Dr. William O. Berry       Life Sciences
                           202-767-5021
Dr. Vincent Sigillito      Artificial Intelligence
                           202-767-5028
Dr. John F. Tangney        Life Sciences
                           202-767-5021  [email-masked]

AIR FORCE OFFICE OF SCIENTIFIC RESEARCH
BOLLING AFB, BLDG 410
WASHINGTON, DC 20332-6448

------------------------------

Date: Tue, 10 Mar 87 14:42:35 EST
From: @[email-masked],
Subject: ICCA journal

Can you post this to mod.ai?  Thank you.

The December 1986 issue of the ICCA Journal is now available.  The
ICCA (International Computer Chess Association) produces a quarterly
journal, organizes the triennial World Computer Chess Championship,
strengthen ties and promote co-operation amoung computer chess re-
searchers, etc.

This month's issue contains:

RESEARCH PAPERS:
        Fuzzy Production Rules in Chess, P.W. Frey
        Influence of Ordering on Capture Search, P. Bettadapur
        Computer Analysis of a Queen Endgame, E.A. Komissarchik
                                          and A.L. Futer

REPORTS:
        ACM's 17th North American Computer Chess Championship
        The 6th World Microcomputer Chess Championship

OTHER:
        Compressing Databases down to Micro Size, H. Zellner
        An example of QPvQ, K. Thompson
        A note on KBBK, H.J. van den Herick and I.S. Herschberg
        Swedish Rating List, G. Gottling

as wells as reviews, conference announcements, etc.  A total of 60 pages.

ICCA memberships are $20 US per year.  For more information, contact

                ICCA
                c/o Jonathan Schaeffer
                Department of Computing Science
                University of Alberta
                Edmonton, Alberta
                Canada T6G 2H1

                ihnp4!alberta!jonathan

------------------------------

Date: Mon, 09 Mar 87 14:50:31 -0800
From: [email-masked]
Subject: Re: Checking Rule-Based Expert Systems (Info Request).

We have been working in this area for a while.  In addition to checking
for completeness and consistency we analyze a rule-base for the
"effectiveness" of its information. It is possible for rules or
distinctions to appear to have meaning, but through faulty interaction
they wind up never influencing the answers the system gives.  This sort
of interference is unbounded in scope. We have developed propagation
style algorithms for finding ineffective information in simple types of
rule bases.

A paper on this work is almost ready for release. I can mail out copies
then.

  Roderick McGuire
  The Aerospace Corporation
  Box 92957
  Los Angeles, CA 90009

  ARPA: [email-masked]

------------------------------

Date: 9 Mar 87 14:01:51 GMT
From: Dave Stoffel <[email-masked]>
Subject: Re: Dear Abby, Analysis of unknown data.

>I guess the idea here is to come up with an expert version of the UNIX file
>program.

    The problem with the `file' approach is that it assumes one
    has already a knowledge of the "files" he is attacking.  So,
this technique might become more and more useful, but only "might".

>One of the first things to realize is that there are files for
>which your system is not going to be able to come up with any
>useful information. Try feeding it 156MB of perfectly random
>numbers for example.

    Testing for randomness might be the first test; sure would save
    a lot of subsequent computing if it were random.

>files. Optionally, the program could try and deduce all the information
>desired from the file, but I think that would be much more difficult to do.

    Yep.  It would be nice to take a goal-driven, top-down approach,
    but sometimes data-driven inference, e.g., auto-correlation,
is what there is.

>representation is derived from firing up the appropriate program on the file.
>For example, if you are trying to classify a system executable, you will want
>to run the system debugger (or disassembler) on the file. There is an
>assumption here that files don't exist in a vacuum. If they did, they would
>be useless.

   Their uselessness and whether they exist in a vacuum is an assumption.

--
       Dave Stoffel (703) 790-5357
       seismo!mimsy!dave
       [email-masked]
       Amber Research Group, Inc.

------------------------------

Date: 11 Mar 87 18:38:32 GMT
From: [email-masked]  (Frank A.
      Adrian)
Subject: Re: analysis of unknown data

In article <[email-masked]> [email-masked] (Dave Stoffel) writes:
>
>
>    What systematic methods and techniques would you apply to the
>    following problem?
>
>    Determine the representation, organization, and content of a
>    "file" containing up to 156MB.  There are no assumptions.  The
>methods and techniques applied must be automated (if not fully
>automatic) and applicable to an unlimited supply of "files".

Actually, there are several ways to approach this problem.  It is a statement
of finding out what is happenning inside a classical "black box".  You can
start by monitoring all requests and replies from the file, searching for
patterns based on location of access and length of access.  You can examine
the bytes returning from the device to try to detect patterns.  You can use
a traffic analysis approach by find out what types of programs access this
file at which times for a given purpose.  You can go ask the NSA, CIA, and
other intellegence agencies what they do when they try to crack a black box
(though I doubt that they'd tell you :-).  Finally, most boxes are not com-
pletely black.  In general, you can tell information by the location, size,
etc. of a box.  But unless the box is completely isolated (in which case, why
are you all that interested in what it does?) you can always get some infor-
mation, upon which you can make your own assumptions, can try experiments,
and finally uncover the nature of an object.  You might also try any good
text on experimental methods to point you in the right direction.

Frank Adrian
Mentor Graphics, Inc.

------------------------------

Date: 12 Mar 87 21:47:26 GMT
From: [email-masked]  (Dave Stoffel)
Subject: Re: analysis of unknown data

In article <[email-masked]>, [email-masked]
(Frank A. Adrian) writes:
> Actually, there are several ways to approach this problem.  It is a statement
> of finding out what is happenning inside a classical "black box".  You can
> start by monitoring all requests and replies from the file, searching for
> patterns based on location of access and length of access.  You can examine
> the bytes returning from the device to try to detect patterns.  You can use
> a traffic analysis approach by find out what types of programs access this
> file at which times for a given purpose.
    the "file" of 156MB is not exactly a black box.  The traditional
black box problem describes functions whose structure is not known.
The "file" is data, not procedure.  An unknown number of procedures
may have participated in creation of the data.  The "file" is
sitting on my machine after being read off of a tape which an
archeologist(sp?) dug up.  What is the data?  Maybe it is one logical
file, maybe hundreds.  If hundreds, maybe each one is a different
type.  Maybe the bytes on the tape are not ordered as logical files,
but as physical blocks from some disk pak.  Put it back together,
so you can tell the archeologist  what information is on the
tape, so he learns something about the civilization which left it.

       Dave Stoffel (703) 790-5357
       seismo!mimsy!dave
       [email-masked]
       Amber Research Group, Inc.

------------------------------

End of AIList Digest
********************